/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/xlslib/label.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:46 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef LABEL_H
#define LABEL_H

#include <config.h>
#include "common.h"
#include "cell.h"
#include "record.h"
#include "unit.h"
#include "extformat.h"

namespace xlslib_core
{

#define LABEL_DFLT_XFINDEX              ((unsigned16_t)0x000f)
#define LABEL_OFFSET_FIRSTCOL           ((unsigned8_t)6)
#define LABEL_OFFSET_LASTCOL            ((unsigned8_t)8)

  class label_t;
  class CLabel: public CRecord
    {
    private:

    public:
      CLabel(unsigned16_t row,
             unsigned16_t col,
             std::string& strlabel,
             xf_t* pxfval = NULL);

      CLabel(label_t& labeldef);
      ~CLabel();
    };

  class label_t: public cell_t
    {

    private:
      std::string strlabel;

    public:
      label_t(unsigned16_t rowval, 
              unsigned16_t colval, 
              std::string& labelstrval,
              xf_t* pxfval = NULL);

      ~label_t(){};

      unsigned16_t GetStrLabelSize() {return strlabel.size();};
      const unsigned8_t* GetStrLabelBuffer(){return (unsigned8_t*)strlabel.c_str();};
      unsigned16_t GetSize();
      CUnit* GetData();

    };

}
#endif //LABEL_H

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: label.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:46  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

